SHEBANG
# Copyright @BABOLO (C)2002,2003, Michael Deryugin (C)2004
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.8 2008/09/22 18:23:29 babolo Exp $

JNTROSTUP(exim,,dnl
,dnl
# jailup ${inclass} dir jailname jailaddr
#     where jailname - hostname for jail (see jail(2) hostname)
#           jailaddr - IP addr for jail (see jail(2) ip_number)
#           dir relative to ${JAILUPDIR} and ${JAILRODIR}
# installed ports/mail/exim used dnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${mkdir} "${main_dir}" "${conf_dir}/exim"
${up_mdir} "${main_dir}" ${MTREE}
ETCOPY(host.conf hosts resolv.conf protocols services)
${up_conf} "${conf_dir}/" /usr/local/etc/ << "EOF"
	exim/configure
EOF

${up_genlist} usr/libexec/ ${MTREE} | ${up_ldsh} |\
    ${up_shlib} "${main_dir}/usr/lib"

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
EOF

${up_genlist} usr/libexec/ ${MTREE} | ${up_exec} "${main_dir}/usr/libexec/" "/usr/local/sbin/"

      #####################################
      ####                             ####
      #### Begin of etc fill           ####
      ####                             ####
${up_ponf} "${conf_dir}/group" <<- "EOF"
	wheel:*:0:root
	nogroup:*:65533:
	nobody:*:65534:
	mail:*:6:
	mailnull:*:26
EOF

${up_ponf} "${conf_dir}/master.template" <<- "EOF"
	root:*:0:0::0:0:Charlie &:/:/nonexistent
	nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/nonexistent
	mailnull:*:26:26::0:0:User &:/var/exim:/nonexistent
EOF

if  [ ! -e "${conf_dir}/master.passwd" ]; then
    ${cp} -p "${conf_dir}/master.template" "${conf_dir}/master.passwd"
fi
${up_ponf} "${conf_dir}/aliases" <<- "EOF"
	#postmaster: me@my.domain
	MAILER-DAEMON: postmaster
EOF

${up_ponf} "${conf_dir}/hosts.allow" <<- "EOF"
	exim : ALL : allow
EOF

${cat} <<- EOF >> "${etcdir}/newsyslog.conf"
	#${main_dir}/var/log/mainlog mailnull:wheel	644  39    *	@T00  Z ${main_dir}/var/run/${inclass}.pid
	#${main_dir}/var/log/paniclog mailnull:wheel	644  39    *	@T00  Z ${main_dir}/var/run/${inclass}.pid
	#${main_dir}/var/log/rejectlog mailnull:wheel	644  39    *	@T00  Z ${main_dir}/var/run/${inclass}.pid
EOF

${cat} <<- EOF >> "${genconfig}"
	#${genclass}	${inclass}	${jdir}	${jailsname}	${jailsaddr}	0	0	0
EOF
      ####                             ####
      #### End of etc fill             ####
      ####                             ####
      #####################################

${up_mtree} "${main_dir}" ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.			type=dir mode=0755
    aliases        
    group          
    master.passwd	mode=0600
    passwd         
    protocols      
    pwd.db         
    resolv.conf    
    services       
    spwd.db		mode=0600
    exim		type=dir mode=0755
        configure      
    ..
..
EOF

${pwd_mkdb} -d "${conf_dir}" -p "${conf_dir}/master.passwd"
      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} <<- EOF >> "${etcdir}/fstab"
	#/null			${main_dir}/dev	null	ro,noexec	0 0
	#${conf_dir}		${main_dir}/etc	null	ro,nodev,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
